Subject: Re: bug#15099: 24.3.50; Box has no right border

From: "Sebastien Vauban" <[email-masked]>
Date: Fri, 23 Aug 2013 23:59:47 +0200

Eli Zaretskii wrote:
>> From: "Fabrice Niessen" <[email-masked]>
>> 
>> > I fixed this for display tables in trunk revision 113890.
>> 
>> It works much better (almost there), but I still see two problems:
>> 
>> - The "..." are underlined twice (two parallel lines). Why?
>
> Because the org-ellipsis face specifies both box and underline.  Type
> "M-x list-faces-display RET", then click mouse-1 on this face in the
> *Faces* buffer, and you will see this:
>
>   Face: org-ellipsis (sample) (customize this face)
>
>   Documentation:
>   Face for the ellipsis in folded text.
>
>   Defined in `org-faces.el'.
>
> 	  Family: unspecified
> 	 Foundry: unspecified
> 	   Width: unspecified
> 	  Height: unspecified
> 	  Weight: unspecified
> 	   Slant: unspecified
>       Foreground: #999999
>       Background: #FFF8C0
>        Underline: t   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
> 	Overline: unspecified
>   Strike-through: unspecified
> 	     Box: (:line-width 1 :color #999999)
> 	 Inverse: unspecified
> 	 Stipple: unspecified
> 	    Font: unspecified
> 	 Fontset: unspecified
> 	 Inherit: unspecified
>
> And indeed in org-faces.el we see:
>
>   (defface org-ellipsis
>     '((((class color) (background light)) (:foreground "DarkGoldenrod" :underline t))
>       (((class color) (background dark)) (:foreground "LightGoldenrod" :underline t))
>       (t (:strike-through t)))

OK. So adding explicitly :underline nil does solve the problem, indeed.

(set-face-attribute 'org-ellipsis nil
                    :box '(:line-width 1 :color "#999999")
                    :foreground "#999999" :background "#FFF8C0"
                    :underline nil)

Thanks!

>> - When moving the "character cursor" (I mean: not the mouse) over the "...",
>>   the first dot becomes boxed on its own. Tab'ing multiple times (to expand
>>   and collapse the hidden region) fixes the box back.
>
> That's a separate and unrelated problem, you should see it with the
> box face on buffer text as well, in any Emacs version prior to the
> above change.  The block cursor is drawn and/or erased incorrectly
> when the underlying character has the box face attribute.  Feel free
> to file a separate bug report about that.

I'll do.

> Do I understand correctly that the two other problems you have shown
> in your original report are also solved, and I can therefore close
> this bug?  If not, could you please give recipes to reproduce the
> other problems with box faces?

The other problems are solved. Thanks a lot.

Best regards,
  Seb